<?php
	$dir = $_SERVER['DOCUMENT_ROOT']."/".substr(substr($_SERVER['REQUEST_URI'], 1), 0, strpos(substr($_SERVER['REQUEST_URI'], 1), '/'))."/phone_gap";
	require_once($dir."/classes/Dados.class.php");
	require_once($dir."/classes/Meta.class.php");
	require_once($dir."/classes/Usuario.class.php");
	require_once($dir."/dao/MetaDAO.class.php");
	
	$dados = new Dados();
	$meta = new Meta();
	$meta->getVendedor()->setCodvendedor((int) $_POST["codvendedor"]);
	$meta->getVendedor()->setCodsupervisor((int) $_POST["codsupervisor"]);
	$meta->getVendedor()->setCodgerente((int) $_POST["codgerente"]);
	
	$periodo = $dados->DatePickerMonthToDate($_POST["periodo"]);
	$periodo = explode('-', $periodo);
	$meta->setAno((int) $periodo[0]);
	$meta->setMes((int) $periodo[1]);	
	$meta->setCodPeriodo((int) $_POST["codperiodo"]);
	
	$meta->setTipo($_POST["tipo"]);
	$meta->setMetaPor((int) $_POST["metapor"]);
	
	$usuario = $dados->fixObject($_SESSION["usuario"]);
	if (($usuario->getVendedor() != null) && ($usuario->getVendedor()->getCodVendedor() > 0)) {
		if($usuario->getVendedor()->getTipo() == 'E')
			$meta->getVendedor()->setCodgerente($usuario->getVendedor()->getCodVendedor());
		else {
			if($usuario->getVendedor()->getTipo() == 'S')
				$meta->getVendedor()->setCodsupervisor($usuario->getVendedor()->getCodVendedor());
			else {
				if ($usuario->getVendedor()->getTipo() != 'E') //se não for gerente
					$meta->getVendedor()->setCodvendedor($usuario->getVendedor()->getCodVendedor());
			}
		}
	}
	
	// PARA O RELATÓRIOS DE METAS EU PEGO TODAS AS METAS
	$inicio = $_POST['inicio'];
	$qtde = $_POST['qtde'];
	
	$NotInicio = $inicio > 0;
	
	if ($NotInicio) {
		$inicio--;
	}
	
	$metaDAO = new metaDAO();
	$metas = $metaDAO->localizaMetas($meta, $inicio, $qtde);
	
	$qtdeRegistros = count($metas);
	if ($qtdeRegistros <= 0) {
		return;
	}
	
	$ant = '';
	
	if ($NotInicio) {
		$ant = $metas[0]->getVendedor()->getCodVendedor();
		unset($metas[0]);
	} else {
		$ant = '';
	}
	
	$result = '';
	foreach($metas as $meta){
		$mostrarBase = ($meta->getTipoMeta() == TipoMeta::MixProdutos);
		
		$base = ($meta->getTendencia()/$meta->getMeta()) * 100;
	
		
		if ($ant != $meta->getVendedor()->getCodvendedor()) {
			$result .= "<tr style='background-color: blue;font-weight: bold;'><td>".$meta->getVendedor()->getNome()."</td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>";
			$ant = $meta->getVendedor()->getCodvendedor();
		}
		
		if($base >= 100){
				$corTexto = 'LightGreen';
		}elseif($base > 90 && $base < 99.99){
				$corTexto = 'Yellow';
		}elseif($base > 80 && $base < 89.99) {
				$corTexto = 'Orange';
		}elseif($base <= 79.99 ){
				$corTexto = 'LightCoral';
		}else{
				$corTexto = 'White';
		}
	
		
		$result .= "<tr style='color: ".$corTexto.";'>";
		$result .= "<td>".$meta->getDescricao()."</td>";
		
		$result .= "<td>".$dados->formatarNumero($meta->getMeta()). 
			$dados->ifthen($mostrarBase, " (".$meta->getBaseMeta().")").
			"</td>";
		
		if  ($dados->formatarNumero($meta->getSaldo())< 0) {
			$result .= "<td>";
		}else{
			$result .= "<td>";
		}
		
		$result .= $dados->formatarNumero($meta->getAlcancado()).
			$dados->ifthen($mostrarBase,
				" (".$meta->getBaseAlcancado().")"
				,
				" (" . $dados->formatarNumero($meta->getAlcancado() / $meta->getMeta() * 100) . "%)"
			). //% alcançado
		"</td>";		
		
		$result .= "<td>".$dados->formatarNumero($meta->getSaldo()).
			$dados->ifthen($mostrarBase, " (".($meta->getBaseMeta() - $meta->getBaseAlcancado()).")").
			"</td>";
		
		
		$result .= "<td>".$dados->formatarNumero($meta->getMHD())."</td>";
		$result .= "<td>".$meta->getDiasTrab()."</td>";
		
		if  ($dados->formatarNumero($meta->getTendencia()) >= $dados->formatarNumero($meta->getMeta())) {
			$result .= "<td>";
		}else{
			$result .= "<td>";
		}
		$result .= $dados->formatarNumero($meta->getTendencia())."</td>";
		
		
		$result .= "<td>".$dados->formatarNumero($meta->getNHD())."</td>";
		$result .= "<td>".$meta->getDiasFaltantes()."</td>";
		$result .= "</tr>";
	}
	$result .= "<tr class='final-tabela'><td></td><td></td><td></td><td></td><td></td></tr>";
	
	echo $result;		
	
?>
